new Vue({
  el: '#offical',
  data(){
		return {
			selected: "tab-container1",
      qrcodeShow: false,
      navList: [
        {
          "id":"tab-container1",
          "name": "公告"
        },
        {
          "id":"tab-container2",
          "name": "精彩活动"
        },
        {
          "id":"tab-container3",
          "name": "游戏下载"
        },
        {
          "id":"tab-container4",
          "name": "帮助"
        }
      ],
      imgUrls: [],
      activeList: [],
      downloadList: [],
      helpList: [],
      noticeList: [],
      qrcodeurl: '',
      msgSrc: [
				'images/xinjian.png',
				'images/xinjiankai.png'
			]
		}
  },
  mounted() {
    this.getImg()
    this.getList()
    this.getGameShare()
    // this.imgUrls = [{
    //   "file": "http://cloudimg-xy.xinyueyouxi.com/d9db9d2e88236076a8af4387ea3155da.jpg",
    //   "title": "",
    //   "url": ""
    // }, {
    //   "file": "http://cloudimg-xy.xinyueyouxi.com/2f8df8754112d46e268d48fd8dfa3bbc.jpg",
    //   "title": "",
    //   "url": ""
    // }]
  },
  methods: {
    /**
     * 获取轮播图图片
     */
    getImg() {
      var _this = this
      getAjax('/api/buy/getslide','post',{}, function(res){
        _this.imgUrls = res.data
      })
    },
    /**
     * 获取公告列表
     */
    getList() {
      var _this = this
      getAjax('/api/buy/noticelist','post',{},function(res){
        _this.noticeList = res.data
      })
    },
    goToDetail(id){
      window.location.href = 'officalDetail.html?title=详情&id=' + id
    },
    /**
     * 获取游戏列表
     */
    getGameShare() {
      var _this = this
      getAjax('/api/buy/gameshare','post',{},function(res){
        _this.downloadList = res.data
      })
    },
    /**
     * 获取二维码
     */
    shareGame(url) {
      this.qrcodeShow = true;
      var qrcodeurl = url;
      this.$nextTick( () => {
        var qrcode = new QRCode('codeDiv', {
          text: qrcodeurl,
          width:200,
          height:200,
        })
        qrcode._el.title = '' // 去除title属性
        // 解决安卓部分手机无法长按扫码识别
        var canvas=document.getElementsByTagName('canvas')[0];
        var img = convertCanvasToImage(canvas);
        $('#qrcode').append(img);// 添加DOM
        function convertCanvasToImage(canvas) {  
          //新建Image对象
          var image = new Image();  
          // canvas.toDataURL 返回的是一串Base64编码的URL
          image.src = canvas.toDataURL("image/png");  
          return image;  
        } 
      })
      
    },
    /**
     * 跳转到首页 
     */
    goToHome() {
      window.location.href = 'home.html'
    }
  }
})